! The locus of z such that w^2=z, 
! with z moving on the circle of radius 1 and center 1.
OPTION ARITHMETIC COMPLEX
LET a=2
SET WINDOW -a,a,-a,a
DRAW grid
SET POINT STYLE 1
FOR t=0 TO 2*PI STEP PI/180
   LET z=COMPLEX(COS(t)+1,SIN(t))
   SET POINT COLOR 3
   PLOT POINTS: re(z),im(z)
   LET w=SQR(z)
   SET POINT COLOR 2
   PLOT POINTS: re(w),im(w)
   PLOT POINTS: re(-w),im(-w)
NEXT t  
END
